#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 7

Name:           kio-stash
Version: 1.0
Release:        %mkrel %{rel}
Summary:        KIO slave and daemon to stash discontinuous file selections
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kde.org
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5DBusAddons)

%description
This KIO slave can be used to stash files in a virtual
folder temporarily. It requires use of a KIO-compatible
file manager, like dolphin.

%files
%doc README.md
%license COPYING
%{_kf5_plugindir}/kio/filestash.so
%{_kf5_plugindir}/kded/stashnotifier.so
%{_kf5_metainfodir}/org.kde.filestash.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kio.StashNotifier.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 1.0-7.mga9
+ Revision: 1846012
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0-6.mga8
+ Revision: 1658723
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 1.0-5.mga8
+ Revision: 1588486
- switch appdata file to kf5_metainfo dir
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0-4.mga8
+ Revision: 1524674
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.0-3.mga7
+ Revision: 1382515
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-2.mga7
+ Revision: 1298559
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1129198
- initial package kio-stash

